﻿using System;
using VsliveOrd.Api;

namespace VsliveOrd.UnitTests
{
    public class FakePersonRepository : IPersonRepository
    {

        public FakePersonRepository()
        {
            WasSaveCalled = false;
        }

        public bool WasSaveCalled { get; set; }
        public bool ThrowSqlServerOutOfDiskSpace { get; set; }

        public void Save(Person saveThis)
        {
            WasSaveCalled = true;

            if (ThrowSqlServerOutOfDiskSpace == true)
            {
                throw new SqlServerOutOfDiskSpaceException();
            }
        }
    }
}
